## org.mortbay.cometd
Interface Transport

All Known Implementing Classes:
  AbstractTransport, JSONPTransport, JSONTransport

    public interface Transport

Method Summary
`void` `complete()`
`org.cometd.Message` `getPollReply()`
`boolean` `isJSONCommented()`
`boolean` `resumePoll()`
`void` `send(org.cometd.Message message)`
`void` `setJSONCommented(boolean commented)`
`void` `setPollReply(org.cometd.Message reply)`
`void` `setResponse(HttpServletResponse response)`

Method Detail

### setResponse

    void setResponse(HttpServletResponse response)
                     throws IOException

  Throws:
    `IOException`

### send

    void send(org.cometd.Message message)
              throws IOException

  Throws:
    `IOException`

### complete

    void complete()
                  throws IOException

  Throws:
    `IOException`

### getPollReply

    org.cometd.Message getPollReply()

### setPollReply

    void setPollReply(org.cometd.Message reply)

### setJSONCommented

    void setJSONCommented(boolean commented)

### isJSONCommented

    boolean isJSONCommented()

### resumePoll

    boolean resumePoll()

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.